﻿/* validate checkbox*/


.form-check-input.has-error, .form-check-input.input-validation-error {
    border: 1px solid #f64e60!important;
}


/* Swal Alert
-------------------------------------------------*/


.swal2-styled.swal2-confirm {
    border: 0;
    border-radius: .25em;
    background: initial;
    background-color: #ffad35;
    color: #fff;
    font-size: 1.0625em;
}



/* Spinner
-------------------------------------------------- */

    .center-div {
    width: 300px;
    height: 300px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -150px;
    margin-top: -150px;
}

.spinner-web {
    position: fixed;
    z-index: 999;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background-color: Black;
    filter: alpha(opacity=60);
    opacity: 0.6;
    -moz-opacity: 0.8;
}

.loader {
    margin: auto;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #15a0ec;
    border-bottom: 16px solid #15a0ec;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

.inner-div {
    background-color: white;
    border-radius: 15px;
    margin: auto;
    padding: 2%;
    width: 150px;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


/* Stripe payment */

#card-error {
    text-align: left;
    margin-top: 30px !important;
    background-color: #fee2e5 !important;
    color: #f64e60 !important;
    padding: .675rem .75rem !important;
    font-size: 18px !important;
    line-height: 1.5 !important;
    border: 1px solid transparent;
    font-weight: 400;
    border-radius: 10px;
}

/***/
#submit-form-invoicedata, .form-confirm-nopadding {
    padding: 0;
}

/*sovrascrivo alert*/

.alert-warning {
    color: #664d03 !important;
    background-color: #fff3cd !important;
    border-color: #ffecb5 !important;
    padding: 20px 10px !important;
}